Bug 852922 - User is getting error on ssh access: OSError: [Errno 2] No such file or directory: $HOME/.env/
User is getting error on ssh access: OSError: [Errno 2] No such file or direc...
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Kenny Woodson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 22:44 EDT by Nam Duong
Modified: 2015-05-14 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-07 14:47:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2012-08-29 22:44:02 EDT
Description of problem:

See forum thread:  https://openshift.redhat.com/community/forums/openshift/oserror-errno-2-no-such-file-or-directory-env



ssh b8f9c391e35a4ab3b376e66929e7f2f6@fabric-fuse.rhcloud.com
Traceback (most recent call last):
  File "/usr/bin/trap-user", line 111, in <module>
    read_env_vars()
  File "/usr/bin/trap-user", line 53, in read_env_vars
    for env in os.listdir(envdir):
OSError: [Errno 2] No such file or directory: '/var/lib/stickshift/b8f9c391e35a4ab3b376e66929e7f2f6/.env/'
Connection to fabric-fuse.rhcloud.com closed.
Progresss-MacBook-Pro:fabric chmoulli$ ssh b8f9c391e35a4ab3b376e66929e7f2f6@fabric-fuse.rhcloud.com
Traceback (most recent call last):
  File "/usr/bin/trap-user", line 111, in <module>
    read_env_vars()
  File "/usr/bin/trap-user", line 53, in read_env_vars
    for env in os.listdir(envdir):
OSError: [Errno 2] No such file or directory: '/var/lib/stickshift/b8f9c391e35a4ab3b376e66929e7f2f6/.env/'
Connection to fabric-fuse.rhcloud.com closed.
Comment 1 Dan McPherson 2012-08-30 09:53:00 EDT
Kenny, Can you take a look at the state of these gears?
Comment 2 John Poelstra 2012-09-07 14:47:07 EDT
discussed at triage meeting on 2012-09-07

Note You need to log in before you can comment on or make changes to this bug.